TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.AdminACLEntry Class Reference

This class represents a set of administrative permissions for a Principal (user or group). More...

## Public Member Functions
| AdminACLEntry (PrincipalInfo principal, AdminPermissions permissions)
| Constructor used to create AdminACLEntries that will be passed to Admin.grant() and Admin.revoke() methods. More...
override string | ToString ()
| Generate a string representation of this AdminACLEntry. More...

## Properties
PrincipalInfo | Principal`[get, set]`
| Get or set the principal that this entry applies to. More...
AdminPermissions | Permissions`[get, set]`
| Get or set the permissions for this entry. More...

## Detailed Description

This class represents a set of administrative permissions for a Principal (user or group).

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.AdminACLEntry.AdminACLEntry | ( | PrincipalInfo | principal,
|  | AdminPermissions | permissions
| ) |  |
| inline

Constructor used to create AdminACLEntries that will be passed to Admin.grant() and Admin.revoke() methods.

Parameters

  principal | the principal that has the permissions.
  permissions | the permissions for this entry.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.AdminACLEntry.ToString | ( |  | ) |
| inline

Generate a string representation of this AdminACLEntry.

Returns
  a string representation of this AdminACLEntry.

## Property Documentation

AdminPermissions TIBCO.EMS.ADMIN.AdminACLEntry.Permissions
| get set

Get or set the permissions for this entry.

Returns
  the permissions for this entry.

PrincipalInfo TIBCO.EMS.ADMIN.AdminACLEntry.Principal
| get set

Get or set the principal that this entry applies to.

Returns
  the PrincipalInfo that this AdminACLEntry applies to.